<%@ page import="com.atlassian.jira.util.EasyList,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager"%>
<%@ include file="/includes/decorators/header.jsp" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY); %>
<script language="JavaScript" src="<%= request.getContextPath() %>/includes/js/adminMenu.js"></script>
<script language="JavaScript" type="text/javascript">
<!--
var allMenus = new Array(9);
allMenus[0] = 'admin.project';
allMenus[1] = 'admin.usersgroups';
allMenus[2] = 'admin.globalsettings';
allMenus[3] = 'admin.schemes';
allMenus[4] = 'admin.issuefields';
allMenus[5] = 'admin.issuesettings';
allMenus[6] = 'admin.exportimport';
allMenus[7] = 'admin.options';
allMenus[8] = 'admin.system';

function hideAll()
{
    for (i=0 ; i < allMenus.length ; i++)
    {
        closeMenu(allMenus[i]);
    }

    areAllMenusOpen = false;
    restoreShowHideAllMenu();
}

function showAll()
{
    for (i=0 ; i < allMenus.length ; i++)
    {
        openMenu(allMenus[i]);
    }

    areAllMenusOpen = true;
    restoreShowHideAllMenu();
}
//-->
</script>
<table border=0 cellpadding=0 cellspacing=0 width=100% bgcolor=ffffff>
<tr>
<td width=170 valign=top bgcolor=f0f0f0>
<webwork:action name="'com.atlassian.jira.web.action.project.ViewProjects'">

<div id="adminMenu">
<page:applyDecorator name="adminpanel">
    <page:param name="title"><webwork:text name="'common.words.project'"/></page:param>
    <page:param name="menuName">project</page:param>

    <li><a id="view_projects" href="<%= request.getContextPath() %>/secure/project/ViewProjects.jspa"><webwork:text name="'common.concepts.projects'"/></a></li>
    <% if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %><webwork:if test="admin == true">
    <li><a href="<%= request.getContextPath() %>/secure/admin/projectcategories/ViewProjectCategories!default.jspa"><webwork:text name="'admin.menu.projects.project.categories'"/></a></li>
    </webwork:if><% } %>

</page:applyDecorator>
<webwork:if test="admin == true">


<jsp:include page="/includes/decorators/admin_panels.jsp" />


    <div class="section">
         <a class="headerOpen" title="Click to hide all menu items" id="hideAllMenu"
            onClick="hideAll();return false;"
            <webwork:if test="@menuState/open('all') == true"></webwork:if><webwork:else>style="display:none;"</webwork:else>
            href="<webwork:url>
            <webwork:param name="'admin.project'" value="'closed'" />
            <webwork:param name="'admin.usersgroups'" value="'closed'" />
            <webwork:param name="'admin.globalsettings'" value="'closed'" />
            <webwork:param name="'admin.schemes'" value="'closed'" />
            <webwork:param name="'admin.issuefields'" value="'closed'" />
            <webwork:param name="'admin.issuesettings'" value="'closed'" />
            <webwork:param name="'admin.exportimport'" value="'closed'" />
            <webwork:param name="'admin.options'" value="'closed'" />
            <webwork:param name="'admin.system'" value="'closed'" />
            <webwork:param name="'admin.all'" value="'closed'" />
            </webwork:url>" 
            >
        <webwork:text name="'admin.menu.hide.all'"/></a>
        
        <a class="headerClosed" title="Click to show all menu items"  id="showAllMenu"
           onClick="showAll();return false;"
           <webwork:if test="@menuState/open('all') == true">style="display:none;"</webwork:if><webwork:else></webwork:else>
           href="<webwork:url>
            <webwork:param name="'admin.project'" value="'open'" />
            <webwork:param name="'admin.usersgroups'" value="'open'" />
            <webwork:param name="'admin.globalsettings'" value="'open'" />
            <webwork:param name="'admin.schemes'" value="'open'" />
            <webwork:param name="'admin.issuefields'" value="'open'" />
            <webwork:param name="'admin.issuesettings'" value="'open'" />
            <webwork:param name="'admin.exportimport'" value="'open'" />
            <webwork:param name="'admin.options'" value="'open'" />
            <webwork:param name="'admin.system'" value="'open'" />
            <webwork:param name="'admin.all'" value="'open'" />
            </webwork:url>">
        Show All</a>
        
        <script language="JavaScript" type="text/javascript">
        <!--
            restoreShowHideAllMenu();
        //-->
        </script>
    </div>
</div>


</webwork:if>
</webwork:action>

</td>
<td width="1" bgcolor="bbbbbb"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height="1" width="1"></td>
<td valign="top">
	<table cellspacing="0" cellpadding="10" border="0" width="100%"><tr><td>

		<decorator:body />

	</td></tr></table>
</td></tr>
</table>

<%@ include file="/includes/decorators/footer.jsp" %>
