<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.util.BuildUtils,
                 com.atlassian.jira.ManagerFactory,
                 com.atlassian.license.*,
                 com.atlassian.license.applications.jira.JiraLicenseTypeStore,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%-- IF YOU EDIT THIS - BE SURE TO CHECK IF YOU NEED TO EDIT DECORATORS/FRONTPAGE.JSP --%>

<% License curLicense = null;
if (JiraLicenseUtils.isLicenseSetup())
    curLicense = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
%>
<div class="footer">
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<% if (curLicense == null || (!JiraLicenseTypeStore.JIRA_STANDARD_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_PROFESSIONAL_FULL_LICENSE.equals(curLicense.getLicenseType()) || !JiraLicenseTypeStore.JIRA_ENTERPRISE_FULL_LICENSE.equals(curLicense.getLicenseType())) || ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
<tr>
		<td bgcolor="bbbbbb"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" height="1" width="100" border="0"></td>
</tr>
<tr>


    <% if (curLicense == null) { %>
		<td class="licensemessagered">
            <span class="licensemessagehl">UNLICENSED INSTALLATION</span> - You can request a 30-day
            <a href="<webwork:component name="'external.link.jira.license.evaluate.from.unlicensed'" template="externallink.jsp" />">evaluation license online</a>
            or <a href="<webwork:component name="'external.link.jira.license.purchase.from.unlicensed'" template="externallink.jsp" />">purchase</a>.
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_EVALUATION.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_EVALUATION.equals(curLicense.getLicenseType())) { %>
		<td class="licensemessagered">
          <span class="licensemessagehl">EVALUATION LICENSE</span> - Are you enjoying JIRA? Please consider <a href="<webwork:component name="'external.link.jira.license.purchase.from.evaluation'" template="externallink.jsp" />">purchasing it</a> today.
		</td>
	<% } else if (JiraLicenseTypeStore.JIRA_STANDARD_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_PROFESSIONAL_NON_PROFIT.equals(curLicense.getLicenseType()) || JiraLicenseTypeStore.JIRA_ENTERPRISE_NON_PROFIT.equals(curLicense.getLicenseType())) { %>
		<td class="licensemessage">
            This site is running on Atlassian
            <b><a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>">JIRA, the Professional Issue Tracker</a></b>
            with a
            <a href="<webwork:component name="'external.link.jira.license.info'" template="externallink.jsp"/>">free Open Source Project / Non-profit License</a>.
            <br/>
            <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>">Download and evaluate JIRA</a> for your organisation.
            <br/>
            Try <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>">Atlassian JIRA&trade; software for bug tracking and task tracking</a>.
        </td>
	<% } else if (ManagerFactory.getApplicationProperties().getOption(APKeys.JIRA_CONFIRMED_INSTALL_WITH_OLD_LICENSE)) { %>
        <td class="licensemessagered">
			<span class="licensemessagehl">EVALUATION LICENSE</span> - Are you enjoying this new version of JIRA? Please consider
            <a href="<webwork:component name="'external.link.jira.license.extend.from.old'" template="externallink.jsp" />">extending your license</a> today.
		</td>
    <%
        }
    %>
</tr>
<% } %>
  <tr>
      <td height="12" background="<%= request.getContextPath() %>/images/border/border_bottom.gif"><img src="<%= request.getContextPath() %>/images/border/spacer.gif" width="1" height="1" border="0"></td>
  </tr>
 </table>
	<span class="poweredbymessage">
        Powered by
        <a href="<webwork:component name="'external.link.jira.product.site.with.edition'" template="externallink.jsp"><webwork:param name="'value0'"><%= BuildUtils.getEdition() %></webwork:param></webwork:component>" class="smalltext">Atlassian JIRA&trade; the Professional Issue Tracker</a>.
        <span style="color: #666666;">(<%= BuildUtils.getBuildInformation() %>)</span> - <a href="<webwork:component name="'external.link.jira.raise.issue'" template="externallink.jsp"/>">Bug/feature request</a>
		- <a href="<%= request.getContextPath() %>/secure/Administrators.jspa">Contact Administrators</a>
	</span>
</div><%-- footer --%>
</body>
</html>
