<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean name="'com.atlassian.core.util.XMLUtils'" id="xmlUtils" />
<webwork:property value="linkCollection(@issue/genericValue)" id="linkCollection"/>
<webwork:if test="(applicationProperties/option('jira.option.issuelinking') == true && @linkCollection/linkTypes != null && @linkCollection/linkTypes/size > 0)">
    <issuelinks>
    <webwork:iterator value="@linkCollection/linkTypes">
        <issuelinktype id="<webwork:property value="@xmlUtils/escape(./string('id'))" escape="false" />">
            <name><webwork:property value="@xmlUtils/escape(./name)" escape="false" /></name>
                <webwork:property value="@linkCollection/outwardIssues(./name)">
                <webwork:if test=". != null && ./empty == false">
                    <outwardlinks description="<webwork:property value="@xmlUtils/escape(../outward)" escape="false" />">
                    <webwork:iterator status="'outItStatus'">
                        <issuelink>
                            <issuekey id="<webwork:property value="@xmlUtils/escape(./string('id'))" escape="false" />"><webwork:property value="@xmlUtils/escape(./string('key'))" escape="false" /></issuekey>
                        </issuelink>
                    </webwork:iterator>
                    </outwardlinks>
                </webwork:if>
                </webwork:property>
                <webwork:property value="@linkCollection/inwardIssues(./name)">
                <webwork:if test=". != null && ./empty == false">
                    <inwardlinks description="<webwork:property value="@xmlUtils/escape(../inward)" escape="false" />">
                    <webwork:iterator status="'inItStatus'">
                        <issuelink>
                            <issuekey id="<webwork:property value="@xmlUtils/escape(./string('id'))" escape="false" />"><webwork:property value="@xmlUtils/escape(./string('key'))" escape="false" /></issuekey>
                        </issuelink>
                    </webwork:iterator>
                    </inwardlinks>
                </webwork:if>
                </webwork:property>
        </issuelinktype>
    </webwork:iterator>
    </issuelinks>
</webwork:if>