<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:if test="projectManager/project(property('projectid')) != null">
    <webwork:property value="projectManager/project(property('projectid'))">
        <webwork:if test="hasProjectPermission('browse', .)==true">
            <%@ include file="/includes/dashboard/project.jsp"  %>
        </webwork:if>
    </webwork:property>
</webwork:if>
<webwork:else> <%-- if project for this portlet is null eg. it has been deleted --%>
<page:applyDecorator name="invalid_portletpanel">
    <page:param name="header">
        <webwork:property value="property('description')"/>
        <webwork:if test="usingDefaultPortalConfig(../remoteUser) == false">
            <font size="1" color="000000">&nbsp;
                (<a href="<%= request.getContextPath() %>/secure/SavePortlet!default.jspa?portletConfigId=<webwork:property value="./id"/>" title="<webwork:text name="'portlet.edit.title'" />"><webwork:text name="'portlet.edit'" /></a> |
                <a href="<%= request.getContextPath() %>/secure/DeletePortlet!delete.jspa?portletConfigId=<webwork:property value="./id"/>" title="<webwork:text name="'portlet.delete.title'" />"><webwork:text name="'portlet.delete'" /></a>)
            </font>
        </webwork:if>
    </page:param>
    <tr bgcolor="ffffff">
        <td colspan=2>
            <webwork:text name="'portlet.invalid'" />
        </td>
    </tr>
    </page:applyDecorator>
</webwork:else>