<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'admin.attachmentsettings.edit.attachment.settings'"/></title>
</head>
<body>
<page:applyDecorator name="jiraform">
	<page:param name="action">EditAttachmentSettings.jspa</page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="cancelURI">ViewAttachmentSettings.jspa</page:param>
	<page:param name="title"><webwork:text name="'admin.attachmentsettings.edit.attachment.settings'"/></page:param>
	<page:param name="width">100%</page:param>

    <tr>
    <td align="right" valign="top" bgcolor="fffff0"><span class="label">
        <webwork:text name="'admin.attachmentsettings.allow.attachments'"/>
       </span></td>
    <td bgcolor="ffffff">
        <input type="radio" value="true" name="attachmentsEnabled" id="attachmentsEnabledOn" <webwork:if test="attachmentsEnabled == true">checked</webwork:if>
                onClick="document.forms['jiraform'].thumbnailsEnabled[0].checked=true">
        <label for="attachmentsEnabledOn"><webwork:text name="'admin.common.words.on'"/></label>
        &nbsp;
        <input type="radio" value="false" name="attachmentsEnabled" id="attachmentsEnabledOff" <webwork:if test="attachmentsEnabled == false">checked</webwork:if>
                onClick="document.forms['jiraform'].thumbnailsEnabled[1].checked=true">
        <label for="attachmentsEnabledOff"><webwork:text name="'admin.common.words.off'"/></label>
        <br><font size="1">
            <webwork:text name="'admin.attachmentsettings.allow.attachments.description'"/>
        </font>
    </td>
    </tr>
    <tr>
        <ui:textfield label="text('admin.attachmentsettings.attachment.path')" name="'attachmentPath'">
        <ui:param name="'size'">40</ui:param>
		<ui:param name="'description'">
			<webwork:text name="'admin.attachmentsettings.attachment.path.description'">
			    <webwork:param name="'value0'"><br></webwork:param>
			</webwork:text>
		</ui:param>
	</ui:textfield>
    </tr>
	<tr>
		<td align="right" valign="top" bgcolor="fffff0"><span class="label">
			<webwork:text name="'admin.attachmentsettings.enable.thumbnails'"/>
        </span></td>
		<td bgcolor="ffffff">
			<input type="radio" value="true" name="thumbnailsEnabled" <webwork:if test="thumbnailsEnabled == true">checked</webwork:if>> <webwork:text name="'admin.common.words.on'"/>
			&nbsp;
			<input type="radio" value="false" name="thumbnailsEnabled" <webwork:if test="thumbnailsEnabled == false">checked</webwork:if>> <webwork:text name="'admin.common.words.off'"/>
			<br><font size="1">
				<webwork:text name="'admin.attachmentsettings.enable.thumbnails.description'"/>
			</font>
		</td>
	</tr>
</page:applyDecorator>
</body>
</html>