<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'admin.event.types.edit'"/></title>
</head>

<body>

    <p>
    <table width=100% cellpadding=10 cellspacing=0 border=0>
    <page:applyDecorator name="jiraform">
        <page:param name="action">EditEventType.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'common.words.edit'"/></page:param>
    	<page:param name="cancelURI">ListEventTypes.jspa</page:param>
        <page:param name="title"><webwork:text name="'admin.event.types.edit'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="description">
            <p>
                <webwork:text name="'admin.event.types.edit.desc'">
                    <webwork:param><b></webwork:param>
                    <webwork:param><webwork:property value="/eventTypeManager/eventType(eventTypeId)/name"/></webwork:param>
                    <webwork:param></b></webwork:param>
                </webwork:text>
            </p>
        </page:param>

        <webwork:property value="/eventTypeManager/eventType(eventTypeId)">
            <ui:textfield label="text('common.words.name')" name="'name'" value="./name" size="'30'" />
            <ui:textfield label="text('common.words.description')" name="'description'" value="./description" size="'30'" />
            <ui:select label="text('admin.notifications.template')" name="'templateId'" template="selectmap.jsp"
                    list="/templateManager/templatesMap('issueevent')" listKey="'key'" listValue="'value/name'">
                    <ui:param name="'description'">
                        <webwork:text name="'admin.event.types.template.desc'"/>
                    </ui:param>
                </ui:select>
        </webwork:property>

        <ui:component name="'eventTypeId'" template="hidden.jsp" theme="'single'"  />
        <ui:component name="'confirmed'" value="'true'" template="hidden.jsp" theme="'single'"  />

    </page:applyDecorator>
    </table>
    </p>

</body>
</html>