<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:action name="'util.UserAction'" id="user" />
<html>
<head>
	<title><webwork:text name="'browseproject.title'" /></title>
	<meta name="decorator" content="navigator">
</head>
<body>
<webwork:property value="project">
<table cellpadding=4 cellspacing=0 border=0 width=100% bgcolor=bbbbbb style="border-bottom: 1px solid #bbb;">
<tr>
	<td bgcolor=f0f0f0 colspan=2>
		<h3 class="formtitle"><a href="<%= request.getContextPath() %>/secure/BrowseProjects.jspa" title="<webwork:text name="'browseprojects.all.projects.title'" />"><webwork:text name="'browseprojects.all.projects'" /></a> : <webwork:property value="string('name')" /> <font size=1>(<webwork:text name="'common.concepts.key'" />: <webwork:property value="string('key')" />)</font></h3>
	</td>
</tr>
</table>
</webwork:property>

<webwork:property value="project">
<table cellpadding=10 cellspacing=0 border=0 width=100% bgcolor=ffffff>
<tr>
	<td bgcolor=ffffff width="70%" valign=top>
		<p>

			<b><webwork:text name="'common.concepts.projectlead'" />:</b>
			<a href="<webwork:url page="/secure/ViewProfile.jspa"><webwork:param name="'name'" value="./string('lead')" /></webwork:url>"><webwork:property value="@user/user(string('lead'))/fullName" /></a>

            <webwork:if test="string('url') != null && string('url')/length > 0">
                <br>
                <b><webwork:text name="'common.concepts.url'" />:</b> <a href="<webwork:property value="string('url')" />" target="_blank"><webwork:property value="string('url')" /></a>
            </webwork:if>
            <webwork:if test="string('description') != null && string('description')/length > 0">
                <br>
                <b><webwork:text name="'common.concepts.description'" />:</b><br>
                <webwork:property value="string('description')" escape="false" />
            </webwork:if>
        </p>
        <p>
        <webwork:if test="/hasProjectPermission('create', .) == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle> <a href="<%= request.getContextPath() %>/secure/CreateIssue!default.jspa"><webwork:text name="'common.concepts.create.new.issue'" value0="./string('name')"/></a><br>
        </webwork:if>
        <webwork:if test="/hasProjectPermission('project', .) == true">
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle> <a href="<%= request.getContextPath() %>/secure/project/ViewProject.jspa?pid=<webwork:property value="long('id')" />"><webwork:text name="'common.concepts.administer.project'" /></a><br>
        </webwork:if>
        </webwork:property>

        <webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'" />

        <webwork:property value="/project/long('id')">
        <webwork:if test="@fieldVisibility/fieldHidden(., 'fixVersions', 'all') == false && /versionManager/versionsUnreleased(project, false)/empty == false || /versionManager/versionsReleased(project, false)/empty == false">
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <a href="<%= request.getContextPath() %>/secure/ConfigureReleaseNote.jspa?projectId=<webwork:property value="/project/long('id')" />"><webwork:text name="'common.concepts.releasenotes'" /></a>
        </webwork:if>
        </webwork:property>

        </p>

		<jsp:include page="/includes/panels/browser/tabpanels.jsp"/>
	</td>

<webwork:property value="project">
	<td bgcolor=fffff0 width="30%" valign=top nowrap style="border-left: 1px solid #bbb;">

    <webwork:if test="reports/empty == false">
        <h3 class="formtitle"><webwork:text name="'common.concepts.reports'" /></h3>

        <webwork:iterator value="reports">
        <a href="<%= request.getContextPath() %>/secure/ConfigureReport!default.jspa?selectedProjectId=<webwork:property value="/project/long('id')" />&reportKey=<webwork:property value="completeKey" />" title="<webwork:property value="./text(./description)" />"><webwork:property value="label" /></a><br>
        </webwork:iterator>
        <p>
    </webwork:if>

    <h3 class="formtitle"><webwork:text name="'common.concepts.presetfilters'" /></h3>
    <table cellpadding=2 cellspacing=0 border=0 width="90%" align=center><tr>
        <td width="50%" valign=top nowrap>
            <%@ include file="/includes/panels/filters_firsthalf.jsp" %>
        </td>
        <td width="50%" valign=top nowrap>
            <%@ include file="/includes/panels/filters_secondhalf.jsp" %>
        </td>
    </tr></table>

    <jsp:include page="/includes/panels/browser/openissues.jsp" />
	</td>
</webwork:property>
</tr></table>
</body>
</html>