<%@ taglib uri="webwork" prefix="webwork" %>
<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.jira.config.properties.ApplicationProperties"%>
<webwork:property value="/issueObject/key" id="issuekey"/>
<%
    response.addHeader("content-disposition", "attachment;filename=\"" + pageContext.findAttribute("issuekey") + ".doc\";");
%>
<%@include file="wordheader.jsp" %>
<webwork:action name="'util.UserAction'" id="user" />
<webwork:bean id="fieldVisibility" name="'com.atlassian.jira.web.bean.FieldVisibilityBean'"/>
<html>
<head>
    <webwork:property value="/issueObject" id="issue">
    <webwork:property value="/issueManager/issue(./id)" id="issueGv"/>
    <title>[#<webwork:property value="key" />] <webwork:property value="summary" /></title>
    <META HTTP-EQUIV="Content-Type" Content="application/vnd.ms-word; charset=<%= ManagerFactory.getApplicationProperties().getEncoding()%>">

<%
    String baseURL = (request.isSecure() ? "https://" : "http://")
                    + request.getServerName()
                    + (request.getServerPort() != 80 ? ":" + request.getServerPort() : "")
                    + ((request.getContextPath() != null && !"".equals(request.getContextPath())) ? request.getContextPath() : "");
%>


    <BASE href="<%= baseURL %>">
</head>
<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    String linkColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_LINKCOLOUR);
    String linkAColour = ap.getDefaultBackedString(APKeys.JIRA_LF_TEXT_ACTIVE_LINKCOLOUR);
%>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<jsp:include page="/secure/views/navigator/issue-word.jsp" flush="false" />
</body>           
</webwork:property>
</html>