<%@ taglib uri="webwork" prefix="webwork" %>
<webwork:bean name="'com.atlassian.core.util.XMLUtils'" id="xmlUtils" />
<channel>
    <title><webwork:property value="@xmlUtils/escape(applicationProperties/string('jira.title'))" escape="false"/></title>
    <link><webwork:property value="applicationProperties/string('jira.baseurl')" /></link>
    <description>This file is an XML representation of an issue</description>
    <language>en</language>
    <item>
        <%@ include file="/includes/issue/issuedetails-rss.jsp" %>
        <%@ include file="/includes/issue/issuelinks-rss.jsp" %>
        <customfields>
        <%-- custom fields --%>
            <webwork:iterator value="/visibleCustomFields">
                <webwork:property value="./orderableField">
                    <webwork:if test="./value(/issueObject) != null"><%-- don't display custom fields with no values --%>
                        <customfield id="<webwork:property value="../orderableField/id" />" key="<webwork:property value="../orderableField/customFieldType/key" />">
                            <customfieldname><webwork:property value="@xmlUtils/escape(name)" escape="false" /></customfieldname>
                            <customfieldvalues>
                                <webwork:property value="/customFieldXML(., /issueObject)" escape="false" />
                            </customfieldvalues>
                        </customfield>
                    </webwork:if>
                </webwork:property>
            </webwork:iterator>
        </customfields>
    </item>
</channel>