<%@ page import="com.atlassian.jira.ManagerFactory, com.atlassian.jira.util.EasyList,
                 com.atlassian.jira.web.action.util.JiraLicenseUtils,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager,
                 webwork.action.CoreActionContext" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ include file="/secure/views/navigator/word-css.jsp"%>
<table class="tableBorder" cellpadding="0" cellspacing="0" border="0" width="100%">
<%--     Issue key and summary--%>
        <tr>
            <td bgcolor="f0f0f0" width="100%" colspan="2" valign="top">
                <h3 class="formtitle">[<webwork:property value="string('key')" />] &nbsp; <a href="<%= request.getContextPath()%>/browse/<webwork:property value="string('key')" />"><webwork:property value="string('summary')" /></a>
                <div class="subText">
                    <webwork:text name="'issue.field.created'"/>:
                <% try { %> <webwork:property value="/outlookDate/formatDMY(timestamp('created'))" /> <% } catch (Exception e) {
                        // Circumventing Resin 2.1.9+ bug
                        out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('created')")));
                    } %>
                     &nbsp;<webwork:text name="'issue.field.updated'"/>:
                <% try { %><webwork:property value="/outlookDate/formatDMY(timestamp('updated'))" /><% } catch (Exception e) {
                        // Circumventing Resin 2.1.9+ bug
                         out.println(ManagerFactory.getOutlookDateManager().getOutlookDate(null).formatDMY((java.util.Date)CoreActionContext.getValueStack().findValue("timestamp('updated')")));
                    } %>
                    <webwork:property value="./project">
                        <webwork:if test="../string('duedate') && @fieldVisibility/fieldHidden(./long('id'), 'duedate', ../string('type')) == false">
                            &nbsp;<webwork:text name="'issue.field.due'"/>: <webwork:property value="/outlookDate/formatDMY(../timestamp('duedate'))" />
                        </webwork:if>
                    </webwork:property>
                </div>
                </h3>
            </td>
        </tr>
        <%-- Issue Status - uses issue object from viewissue-word.jsp --%>
        <tr bgcolor="ffffff">
            <td width="20%"><b><webwork:text name="'issue.field.status'"/>:</b></td>
            <td width="80%"><webwork:property value="@issue/statusObject/nameTranslation" /></td>
        </tr>
        <tr bgcolor="ffffff">
            <td width="20%"><b><webwork:text name="'issue.field.project'"/>:</b></td>
            <td width="80%"><a href="<%= request.getContextPath()%>secure/BrowseProject.jspa?id=<webwork:property value="/projectManager/project(long('project'))/long('id')" />"><webwork:property value="/projectManager/project(long('project'))/string('name')" /></a></td>
        </tr>
        <webwork:property value="./project/long('id')">
        <webwork:if test="@fieldVisibility/fieldHidden(., 'components', ../string('type')) == false">
        <tr>
                <td><b><webwork:text name="'issue.field.components'"/>:</b></td>
                <td>
                    <webwork:property value="../components">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="component" />
                        </jsp:include>
                    </webwork:property>
                </td>
        </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'versions', ../string('type')) == false">
        <tr>
                <td><b><webwork:text name="'issue.field.affectsversions'"/>:</b></td>
                <td>
                    <webwork:property value="../affectedVersions">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="version" />
                        </jsp:include>
                    </webwork:property>
                </td>
        </tr>
        </webwork:if>
        <webwork:if test="@fieldVisibility/fieldHidden(., 'fixVersions', ../string('type')) == false">
        <tr>
                <td><b><webwork:text name="'issue.field.fixversions'"/>:</b></td>
                <td>
                    <webwork:property value="../fixVersions">
                        <jsp:include page="/includes/snippets/listbynamewithnavlink.jsp">
                            <jsp:param name="navfield" value="fixfor" />
                        </jsp:include>
                    </webwork:property>
                </td>
        </tr>
        </webwork:if>

        <% License license = LicenseManager.getInstance().getLicense(JiraLicenseUtils.JIRA_LICENSE_KEY);
        if (license !=null && license.isLicenseLevel(EasyList.build(JiraLicenseUtils.JIRA_PROFESSIONAL_LEVEL, JiraLicenseUtils.JIRA_ENTERPRISE_LEVEL))) { %>
        <webwork:if test="../long('security') != null && @fieldVisibility/fieldHidden(., 'security', ../string('type')) == false">
            <tr>
                <td><b><webwork:text name="'issue.field.securitylevel'"/>:</b></td>
                <td>
                    <webwork:property value="../securityLevel">
                        <webwork:property value="./string('name')"/>
                        <webwork:if test="./string('description') != null && ./string('description') != ''"><font size=1> (<webwork:property value="./string('description')" escape="false" />)</font></webwork:if>
                    </webwork:property>
                </td>
           </tr>
        </webwork:if>
        <% } %>
    </webwork:property>

    </table>

    <br />

        <jsp:include page="/includes/panels/issue_extraproperties.jsp" />

    <br />

        <webwork:bean name="'com.atlassian.core.util.FileSize'" id="sizeFormatter" />
    	<table class="grid" cellpadding="0" cellspacing="0" border="0" width="100%">
            <%-- List attachments --%>
            <jsp:include page="/includes/navigator-full/attachments.jsp" >
                <jsp:param name="nolink" value="true" />
            </jsp:include>
    		<%-- List Linked Issues --%>
            <jsp:include page="/includes/issue/linking-word.jsp" />

             <%-- List Sub Tasks --%>
            <jsp:include page="/includes/issue/subtasks-word.jsp"/>

            <%-- List custom fields --%>
            <webwork:iterator value="/fieldScreenRenderTabs" status="'status'">
                <webwork:iterator value="./fieldScreenRenderLayoutItems">
                    <webwork:property value="./orderableField">
                        <%--If changing this, see if http://confluence.atlassian.com/display/JIRACOM/Displaying+Custom+Fields+with+no+value needs updating --%>
                        <webwork:if test="./value(/issueObject) != null && ./customFieldType/descriptor/viewTemplateExists != false">
                        <%--don't display custom fields with no values--%>
                            <tr>
                                <td bgcolor="f0f0f0" width="20%" valign="top"><b><webwork:property value="name" />:</b></td>
                                <td bgcolor="ffffff" width="80%"><webwork:property value="/customFieldHtml(../fieldLayoutItem,., /issueObject)" escape="false" /></td>
                            </tr>
                        </webwork:if>
                    </webwork:property>
                </webwork:iterator>
            </webwork:iterator>
        </table>

        <jsp:include page="/includes/panels/issue_descriptiontable_word.jsp" />

        <webwork:property value="@issueGv">
            <jsp:include page="/includes/panels/issue_comments.jsp" >
                   <jsp:param name="noDelete" value="true" />
            </jsp:include>
        </webwork:property>
