
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'preferences.update.title'"/>: <webwork:property value="remoteUser/fullName" /></title>
</head>

<body>

<table cellpadding=0 cellspacing=0 border=0 width=100%>
<tr>
<td width=200 bgcolor="f0f0f0" valign=top>
    <jsp:include page="/includes/panels/user_summary_pane.jsp" />
</td>
<td bgcolor=ffffff valign=top>

<table width=100% cellpadding=10 cellspacing=0 border=0><tr><td>

    <page:applyDecorator name="jiraform">
        <page:param name="title"><webwork:text name="'preferences.update.title'"/></page:param>
        <page:param name="description"><webwork:text name="'preferences.update.desc'"/></page:param>
        <page:param name="action">UpdateUserPreferences.jspa</page:param>
        <page:param name="width">100%</page:param>
        <page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
        <page:param name="cancelURI">ViewUserPreferences.jspa</page:param>

        <ui:textfield label="text('preferences.issuesPerPage')" name="'userIssuesPerPage'" />
        <ui:select label="text('preferences.mailType')" name="'userNotificationsMimeType'" list="mimeTypes" listKey="'key'" listValue="'value'">
        </ui:select>
        <ui:select label="text('preferences.locale')" name="'userLocale'" 
        	list="/installedLocales" listKey="'key'" listValue="'value'">
        </ui:select>
        <ui:checkbox label="text('preferences.notify')" name="'notifyOwnChanges'" fieldValue="'true'"/>
    </page:applyDecorator>

</td></tr></table>
</td></tr></table>

</body>
</html>
