
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title>JIRA Setup</title>
</head>

<body>

<page:applyDecorator name="jiraform">
	<page:param name="title"><webwork:text name="'setup2.adminexists'"/></page:param>
	<page:param name="description"><webwork:text name="'setup2.adminexists.desc'"/></page:param>
	<page:param name="action">SetupExisting.jspa</page:param>
	<page:param name="submitName"><webwork:property value="text('common.forms.next')"/>&gt;&gt;</page:param>

	<ui:textfield label="text('common.words.username')" name="'username'">
		<ui:param name="'size'">12</ui:param>
	</ui:textfield>

	<ui:password label="text('common.words.password')" name="'password'">
		<webwork:if test="/applicationProperties/option('jira.option.user.externalmanagement') == false">
			<ui:param name="'description'"><webwork:text name="'setup2.forgotpassword.desc'"/>&nbsp;<a href="ForgotPassword!default.jspa"><webwork:text name="'common.words.here'"/></a>.)</ui:param>
		</webwork:if>
	</ui:password>

</page:applyDecorator>

</body>
</html>
