<%@ taglib uri="webwork" prefix="webwork" %>
<%-- Shows the details about the current filter --%>

<table cellpadding=3 cellspacing=0 border=0>
    <webwork:property value="searchRequest">
    <webwork:if test=". && loaded == true">
        <tr>
            <td>
                <b><webwork:text name="'common.words.name'"/>:</b><br>
                <webwork:property value="name" />
            </td>
        </tr>
        <webwork:if test="description && description/length > 0">
            <tr>
                <td>
                    <b><webwork:text name="'common.words.description'"/>:</b><br>
                    <webwork:property value="description" />
                </td>
            </tr>
        </webwork:if>
        <webwork:if test="searchRequest/author/name != remoteUser/name">
            <tr>
                <td>
                    <webwork:if test="modified == true">
                        <i><webwork:if test="/mode == 'hide'"><font color="cc0000"><webwork:text name="'navigator.filter.modifiedsinceloading'"/></font></webwork:if><webwork:else><webwork:text name="'navigator.filter.modifiedsinceloading.operations'"><webwork:param name="'value0'"><font color="cc0000"></webwork:param><webwork:param name="'value1'"></font></webwork:param></webwork:text></webwork:else></i><br>
                    </webwork:if>
                    <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                    <webwork:text name="'navigator.filter.createnewfromcurrent'">
                        <webwork:param name="'value0'"><a href="SaveAsFilter!default.jspa"><b></webwork:param>
                        <webwork:param name="'value1'"></b></a></webwork:param>
                    </webwork:text>
                </td>
            </tr>
        </webwork:if>
        <webwork:elseIf test="modified == true">
            <tr>
                <td>
                    <i><webwork:if test="/mode == 'hide'"><font color="cc0000"><webwork:text name="'navigator.filter.modifiedsinceloading'"/></font></webwork:if><webwork:else><webwork:text name="'navigator.filter.modifiedsinceloading.operations'"><webwork:param name="'value0'"><font color="cc0000"></webwork:param><webwork:param name="'value1'"></font></webwork:param></webwork:text></webwork:else></i><br>
                </td>
            </tr>
        </webwork:elseIf>
    </webwork:if>
    <webwork:elseIf test=".">
        <tr>
            <td>
            <webwork:text name="'navigator.filter.newsearch'"/><br>
            <webwork:if test="remoteUser && actionName != 'SaveAsFilter' && $refreshFilter != true">

                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:text name="'navigator.hidden.operation.saveasfilter'">
                    <webwork:param name="'value0'"><a href="SaveAsFilter!default.jspa"><b></webwork:param>
                    <webwork:param name="'value1'"></b></a></webwork:param>
                </webwork:text>
            </webwork:if>
            </td>
        </tr>
    </webwork:elseIf>
    <webwork:else>
        <tr>
            <td>
            <webwork:text name="'navigator.filter.nofilterselected'"/>
            <webwork:if test="$createNew != true && $refreshFilter">
                <%-- Only project has been selected - do not show "Save Filter" link --%>
            </webwork:if>
            <webwork:elseIf test="$createNew != true">
                <br>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:text name="'navigator.filter.createnewsearch'">
                    <webwork:param name="'value0'"><b><a href="IssueNavigator.jspa?mode=show&createNew=true"></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </webwork:elseIf>
            </td>
        </tr>
    </webwork:else>
    </webwork:property>
</table>

<p>