<%@ page import="com.atlassian.jira.web.util.CookieUtils"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<table cellpadding=3 cellspacing=0 border=0 id="operationsSection">

<%-- Only show the link to the assign action if the user has teh permission and the assignee field is not hidden --%>
<webwork:if test="hasIssuePermission('assign', issue) == true && @fieldVisibility/fieldHidden(issue/long('project'), 'assignee', issue/string('type')) == false">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.assign'">
            <webwork:param name="'value0'"><b><a id="assign_issue" href="<webwork:url page="/secure/AssignIssue!default.jspa"><webwork:param name="'id'" value="issue/long('id')" /></webwork:url>"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text><webwork:if test="issue/string('assignee') != remoteUser/name && hasIssuePermission('assignable', issue) == true"> (<b><a href="<webwork:url page="/secure/AssignIssue.jspa"><webwork:param name="'id'" value="issue/long('id')" /><webwork:param name="'assignee'" value="remoteUser/name"/></webwork:url>"><webwork:text name="'issue.operations.assign.tome'"/></a></b>)</webwork:if>
    </td></tr>
</webwork:if>

<webwork:if test="attachable == true && workflowAllowsEdit == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'issue.operations.attach'">
                <webwork:param name="'value0'"><b><a id="attach_file" href="<%= request.getContextPath() %>/secure/AttachFile!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>

    </td></tr>
    <webwork:if test="/screenshotAttachable == true">
        <tr><td>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'issue.operations.attachscreenshot'">
                <webwork:param name="'value0'"><strong><a href="<webwork:url value="'/secure/AttachFile!screenshot.jspa'" >
                        <webwork:param name="'id'" value="issue/string('id')" />
<%
    String sessionId = CookieUtils.getSingleSessionId(request.getCookies());
    if (sessionId != null) {
%>                        <webwork:param name="'sessionId'"><%= sessionId %></webwork:param>
<% } %>
                    </webwork:url>" onclick="window.open(this.href, 'screenshot', 'width=800,height=700,scrollbars=yes,status=yes'); return false"></webwork:param>
                <webwork:param name="'value1'"></a></strong></webwork:param>
            </webwork:text>
        </td></tr>
    </webwork:if>
</webwork:if>

<webwork:if test="hasIssuePermission('create', issue) == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.clone'">
            <webwork:param name="'value0'"><b><a id="clone_issue" href="<%= request.getContextPath() %>/secure/CloneIssueDetails!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text>
    </td></tr>
</webwork:if>

<webwork:if test="hasIssuePermission('comment', issue) == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.comment'">
            <webwork:param name="'value0'"><b><a onclick="try {return showComment();}catch(e){return true;};" id="comment_issue" href="<%= request.getContextPath() %>/secure/AddComment!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
            <%-- Duplicate (hidden) link below added to prevent firefox from following the link instead of performing onclick event --%>
            <webwork:param name="'value1'"></a></b><a accesskey="<webwork:text name="'issue.operations.comment.accesskey'" />" onclick="try {return showComment();}catch(e){return true;};" href="<%= request.getContextPath() %>/secure/AddComment!default.jspa?id=<webwork:property value="issue/long('id')" />"></a></webwork:param>
        </webwork:text>
    </td></tr>
</webwork:if>

<webwork:if test="/subTaskCreatable == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.createsubtaskissue'">
            <webwork:param name="'value0'"><b><a id="create_subtask" href="<webwork:url page="/secure/CreateSubTaskIssue!default.jspa"><webwork:param name="'parentIssueId'" value="issue/long('id')"/></webwork:url>"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text>
</td></tr>
</webwork:if>

<webwork:if test="hasIssuePermission('delete', issue) == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.delete'">
            <webwork:param name="'value0'"><b><a id="delete_issue" href="<%= request.getContextPath() %>/secure/DeleteIssue!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text>
    </td></tr>
</webwork:if>
 
<webwork:if test="editable == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <%-- Check whether the issue is a sub-task --%>
        <webwork:if test="/subTask == true">
            <%-- If so, link to the EditSubTaskIssue action --%>
            <webwork:text name="'issue.operations.edit'">
                <webwork:param name="'value0'"><b><a id="edit_issue" accesskey="<webwork:text name="'issue.operations.edit.accesskey'" />" href="<%= request.getContextPath() %>/secure/EditSubTaskIssue!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
        </webwork:if>
        <webwork:else>
            <webwork:text name="'issue.operations.edit'">
                <webwork:param name="'value0'"><b><a id="edit_issue" accesskey="<webwork:text name="'issue.operations.edit.accesskey'" />" href="<%= request.getContextPath() %>/secure/EditIssue!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
        </webwork:else>
    </td></tr>
</webwork:if>

<webwork:if test="/issueLinkCreatable == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.link'">
            <webwork:param name="'value0'"><b><a id="link_issue" href="<%= request.getContextPath() %>/secure/LinkExistingIssue!default.jspa?id=<webwork:property value="id" />"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text>
    </td></tr>
</webwork:if>

<webwork:if test="subTask == false">
    <webwork:if test="movable == true">
        <tr><td>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:text name="'issue.operations.move'">
                <webwork:param name="'value0'"><b><a id="move_issue" href="<%= request.getContextPath() %>/secure/MoveIssue!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
                <webwork:param name="'value1'"></a></b></webwork:param>
            </webwork:text>
        </td></tr>
    </webwork:if>
</webwork:if>
    <%-- Move SubTask - can change the issue type and the parent issue - subtasks must remain in same project as the original parent --%>
<webwork:else>
    <webwork:if test="movable == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
        <webwork:text name="'issue.operations.move.subtask'">
            <webwork:param name="'value0'"><b><a id="move_issue" href="<%= request.getContextPath() %>/secure/MoveSubTaskChooseOperation!default.jspa?id=<webwork:property value="issue/long('id')" />"></webwork:param>
            <webwork:param name="'value1'"></a></b></webwork:param>
        </webwork:text>
    </td></tr>
    </webwork:if>
</webwork:else>

<%--    <tr><td>&nbsp;</td></tr>--%>
<webwork:if test="remoteUser != null">
    <webwork:if test="applicationProperties/option('jira.option.voting') == true">
        <tr><td>
            <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:if test="canViewVoterWatcherList == true">
                <a id="vote_issue" href="<%= request.getContextPath() %>/secure/ViewVoters!default.jspa?id=<webwork:property value="issue/long('id')" />">
                <b><webwork:text name="'issue.operations.voting'"/></b></a>: <br>
            </webwork:if>
            <webwork:else>
                <b><webwork:text name="'issue.operations.voting'"/></b>: <br>
            </webwork:else>
            <webwork:if test="issue/string('resolution') == null">
                <webwork:if test="/issueReportedByMe != 'true'">
                    <webwork:if test="votedAlready == 'true'">
                        <webwork:text name="'issue.operations.voting.alreadyvoted'">
                            <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="issue/string('key')"/>?vote=unvote"></webwork:param>
                            <webwork:param name="'value1'"></a></b></webwork:param>
                        </webwork:text>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'issue.operations.voting.notvoted'">
                            <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="issue/string('key')"/>?vote=vote"></webwork:param>
                            <webwork:param name="'value1'"></a></b></webwork:param>
                        </webwork:text>
                    </webwork:else>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'issue.operations.novote'"/>
                </webwork:else>
            </webwork:if>
            <webwork:else>
              <webwork:text name="'issue.operations.voting.resolved'"/>
            </webwork:else>
        </td></tr>
    </webwork:if>

    <webwork:if test="applicationProperties/option('jira.option.watching') == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <webwork:if test="canViewWatcherList == true">
                <b><a id="watcher_issue" href="<%= request.getContextPath() %>/secure/ManageWatchers!default.jspa?id=<webwork:property value="issue/long('id')" />">
                <webwork:text name="'issue.operations.watching'"/></a></b>:<br>
            </webwork:if>
            <webwork:else>
                <b><webwork:text name="'issue.operations.watching'"/></b>:<br>
            </webwork:else>
            <webwork:if test="/watchingAlready == 'true'">
                <webwork:text name="'issue.operations.stopwatching'">
                    <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="issue/string('key')" />?watch=false"></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'issue.operations.startwatching'">
                    <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/browse/<webwork:property value="issue/string('key')" />?watch=true"></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </webwork:else>
    </td></tr>
    </webwork:if>

    <webwork:if test="applicationProperties/option('jira.option.timetracking') == true">
    <tr><td>
        <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
            <b><webwork:text name="'issue.operations.worklog'"/></b>:<br>
            <webwork:if test="/workable == true">
                <webwork:text name="'issue.operations.logwork'">
                    <webwork:param name="'value0'"><b><a id="log_work" href="<%= request.getContextPath() %>/secure/LogWork!default.jspa?id=<webwork:property value="id" />"></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </webwork:if>
            <webwork:else>
                <webwork:text name="'issue.operations.logwork.nopermissions'"/>
            </webwork:else><br>
    </td></tr>
    </webwork:if>
</webwork:if>

<webwork:iterator value="/issueOperations">
    <tr><td>
        <webwork:property value="operation/html(/issueObject)" escape="'false'"/>
    </td></tr>
</webwork:iterator>

<webwork:if test="remoteUser == null">
    <tr><td>
    <webwork:text name="'issue.operations.loginfirst'">
        <webwork:param name="'value0'"><jira:loginlink><webwork:text name="'issue.operations.loginfirst.loggedin'"/></jira:loginlink></webwork:param>
    </webwork:text>
    </td></tr>
</webwork:if>
</table>