<%--
This JSP include prints a table (like the middle of view issue) with the issue description without the hide/show
Javascript functionality - and can be used for the word export.

It requires that the issue is the top item on the value stack, and
that various beans / actions are already set. Use it like so:

<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:property value="path/to/issueGenericValue">
    <%@ include this file %>
</webwork:property>
--%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<webwork:property value="./long('project')">
<webwork:if test="@fieldVisibility/fieldHidden(., 'description', ../string('type')) == false && ../string('description') != null && ../string('description')/length > 0">
<br>

<table cellpadding="2" cellspacing="0" border="0" width="100%" align="center">
<tr>
	<td bgcolor="bbbbbb" width="1%" nowrap align="center">
			&nbsp;<font color="ffffff"><b><webwork:text name="'issue.field.description'"/></b></font>&nbsp;
	</td>
	<td>&nbsp;</td>
</tr>
</table>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td id="descriptionArea">
        <webwork:property value="/renderedContent('description', ../string('description'), @issue)" escape="'false'" />
        <br>
	</td>
</tr>
</table>
</webwork:if>
</webwork:property>
