<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
	<title><webwork:text name="'admin.globalsettings.timetracking.jira.time.tracking'"/></title>
</head>
<body>
<webwork:if test="timeTracking == true">
    <page:applyDecorator name="jiraform">
        <page:param name="action">TimeTrackingDeActivate.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'admin.common.words.deactivate'"/></page:param>
        <page:param name="title"><webwork:text name="'admin.menu.globalsettings.time.tracking'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">timetracking</page:param>
<%--	<page:param name="helpDescription">with Time Tracking</page:param>--%>
        <page:param name="description">
            <p>
            <webwork:text name="'admin.globalsettings.timetracking.status'">
                <webwork:param name="'value0'"><font color="009900"><b></webwork:param>
                <webwork:param name="'value1'"><webwork:text name="'admin.common.words.on'"/></webwork:param>
                <webwork:param name="'value2'"></b></font></webwork:param>
            </webwork:text><br>
            <webwork:text name="'admin.globalsettings.timetracking.current.hours.per.day'">
                <webwork:param name="'value0'"> <webwork:property value="hoursPerDay"/></webwork:param>
            </webwork:text><br>
            <webwork:text name="'admin.globalsettings.timetracking.current.days.per.week'">
                <webwork:param name="'value0'"><webwork:property value="daysPerWeek"/></webwork:param>
            </webwork:text><br>
            <webwork:text name="'admin.globalsettings.timetracking.instruction'">
                <webwork:param name="'value0'"><b></webwork:param>
                <webwork:param name="'value1'"></b></webwork:param>
            </webwork:text>
            </p>
            <p><webwork:text name="'admin.globalsettings.timetracking.instruction2'">
                <webwork:param name="'value0'"><b></webwork:param>
                <webwork:param name="'value1'"></b></webwork:param>
                <webwork:param name="'value2'"><a href="ViewPermissionSchemes.jspa"></webwork:param>
                <webwork:param name="'value3'"></a></webwork:param>
            </webwork:text></p>
            <p><webwork:text name="'admin.globalsettings.timetracking.deactivate.time.tracking.below'"/></p>
        </page:param>
    </page:applyDecorator>
</webwork:if>
<webwork:else>
    <page:applyDecorator name="jiraform">
        <page:param name="action">TimeTrackingActivate.jspa</page:param>
        <page:param name="submitName"><webwork:text name="'admin.common.words.activate'"/></page:param>
        <page:param name="title"><webwork:text name="'admin.menu.globalsettings.time.tracking'"/></page:param>
        <page:param name="width">100%</page:param>
        <page:param name="helpURL">timetracking</page:param>
<%--	<page:param name="helpDescription">with Time Tracking</page:param>--%>
        <page:param name="description">
            <webwork:text name="'admin.globalsettings.timetracking.status'">
                <webwork:param name="'value0'"><font color="990000"><b></webwork:param>
                <webwork:param name="'value1'"><webwork:text name="'admin.common.words.off'"/></webwork:param>
                <webwork:param name="'value2'"></b></font></webwork:param>
            </webwork:text>
            <p>
            <webwork:text name="'admin.globalsettings.timetracking.activate.time.tracking.below'"/>
            </p>
            <ui:select label="text('admin.globalsettings.timetracking.hours.per.day')" name="'hoursPerDay'" list="hours">
                <webwork:param name="'description'"><webwork:text name="'admin.globalsettings.timetracking.specify.working.hours'"/></webwork:param>
            </ui:select>
            <ui:select label="text('admin.globalsettings.timetracking.days.per.week')" name="'daysPerWeek'" list="days">
                <webwork:param name="'description'"><webwork:text name="'admin.globalsettings.timetracking.specify.working.days'"/></webwork:param>
            </ui:select>
        </page:param>
    </page:applyDecorator>
</webwork:else>
</body>
</html>