<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<html>
<head>
	<title><webwork:text name="'admin.translations.edit.translation'">
	    <webwork:param name="'value0'"><webwork:property value="issueConstantName" /></webwork:param>
	    <webwork:param name="'value1'"><webwork:property value="issueConstantTypeName" /></webwork:param>
	</webwork:text></title>
</head>

<body>

<page:applyDecorator name="jiraform">
    <page:param name="title"><webwork:text name="'admin.translations.edit.translation'">
	    <webwork:param name="'value0'"><webwork:property value="issueConstantName" /></webwork:param>
	    <webwork:param name="'value1'"><webwork:property value="issueConstantTypeName" /></webwork:param>
	</webwork:text></page:param>
	<page:param name="description">
		<p><webwork:text name="'admin.translations.edit.translation.for.locale'"/></p>
	</page:param>

	<page:param name="action"><webwork:property value="/editName" />.jspa?typeId=<webwork:property value="/typeId" />&selectedLocale=<webwork:property value="/selectedLocale"/></page:param>
	<page:param name="submitName"><webwork:text name="'common.forms.update'"/></page:param>
	<page:param name="autoSelectFirst">false</page:param>
	<page:param name="cancelURI"><webwork:property value="viewName" />!default.jspa?typeId=<webwork:url value="/typeId" /></page:param>

    <ui:component label="text('admin.issuesettings.translations.locale')" name="'selectedLocale'" template="textlabel.jsp" />
    <ui:textfield label="text('admin.translations.edit.name.translation')" name="'nameTranslation'" size="'30'"/>
    <ui:textfield label="text('admin.translations.edit.description.translation')" name="'descTranslation'" size="'30'"/>

	<ui:component name="'typeId'" template="hidden.jsp" />
</page:applyDecorator>

</body>
</html>