<%@ page import="com.atlassian.jira.config.properties.APKeys,
                 com.atlassian.license.License,
                 com.atlassian.license.LicenseManager"%>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<webwork:action name="'util.UserAction'" id="user" />
<html>
<head>
	<title><webwork:text name="'common.words.project'"/>: <webwork:property value="project/string('name')" /></title>
</head>
<body>
<%@ include file="/includes/errormessages.jsp" %>
<%@ include file="/includes/admin/project/summary.jsp" %>

<webwork:property value="project">
<p align=center>
	<b>
    <a href="<%= request.getContextPath() %>/browse/<webwork:property value="string('key')" />"><webwork:text name="'browseproject.title'"/></a>
    <webwork:if test="/hasProjectAdminPermission == true || /hasAdminPermission == true">
        | <a id="edit_project" href="EditProject!default.jspa?pid=<webwork:property value="long('id')" />"><webwork:text name="'admin.projects.edit.project'"/></a>
    </webwork:if>
    <webwork:if test="/hasAdminPermission == true">
        | <a href="DeleteProject!default.jspa?pid=<webwork:property value="long('id')" />"><webwork:text name="'admin.projects.delete.project'"/></a>
    </webwork:if>
    </b>
</p>

<table cellpadding=3 cellspacing=3 border=0 width=100%>
<tr width="100%">
<td width=49% valign=top>
	<!-- show components for this project -->
	<jsp:include page="/includes/panels/project/components.jsp" />
</td>
<td width=2%>&nbsp;&nbsp;</td>
<td width=49% valign=top>
	<!-- show version for this project -->
	<jsp:include page="/includes/panels/project/versions.jsp" />
</td>
</tr>
</table>

</body>
</html>

</webwork:property>