<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>

<!-- Step 3 - Bulk Operation: Operation Details -->

<html>
<head>
	<title><webwork:text name="'bulkedit.title'"/> </title>
</head>
<body>
<jsp:include page="/includes/js/date_picker.jsp" flush="true" />
<script language="javascript">
    function check(id)
    {
        eval("document.jiraform." + id + ".checked = true");
    }
</script>
<page:applyDecorator name="bulkpanel">
    <page:param name="title"><webwork:text name="'bulkedit.title'"/>: <webwork:text name="'bulkedit.step3.title'"/></page:param>
    <page:param name="action">BulkMoveContextValidation.jspa</page:param>
    <page:param name="instructions">
         <webwork:if test="hasAvailableActions == true">
                    <webwork:if test="/bulkEditBean/subTaskCollection == false">
                         <webwork:if test="/bulkEditBean/multipleProjects == true">
                                <webwork:if test="/enterprise == true">
                                     <webwork:text name="'bulk.move.select.context.multiple.ent'">
                                        <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                        <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/projectIds/size"/></b></webwork:param>
                                    </webwork:text>.<br>
                                </webwork:if>
                                <webwork:else>
                                    <webwork:text name="'bulk.move.select.context.multiple'">
                                        <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                        <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/projectIds/size"/></b></webwork:param>
                                    </webwork:text>.<br>
                                </webwork:else>
                        </webwork:if>
                        <webwork:else>
                            <webwork:if test="/enterprise == true">
                                <webwork:text name="'bulk.move.select.context.single.ent'">
                                    <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                    <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/project/string('name')"/></b></webwork:param>
                                </webwork:text>.<br>
                            </webwork:if>
                            <webwork:else>
                                <webwork:text name="'bulk.move.select.context.single'">
                                    <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/selectedIssues/size"/></b></webwork:param>
                                    <webwork:param name="'value1'"><b><webwork:property value="/bulkEditBean/project/string('name')"/></b></webwork:param>
                                </webwork:text>.<br>
                            </webwork:else>
                        </webwork:else>
                    </webwork:if>
                    <webwork:else>
                        <webwork:text name="'bulk.move.select.issuetype'">
                            <webwork:param name="'value0'"><webwork:property value="/bulkEditBean/selectedIssues/size" /></webwork:param>
                        </webwork:text>
                        <br />
                    </webwork:else>
                    <webwork:if test="/bulkEditBean/subTaskCount > 0">
                        <webwork:text name="'bulk.move.subtasks'">
                            <webwork:param name="'value0'"><b><webwork:property value="/bulkEditBean/subTaskCount"/></b></webwork:param>
                        </webwork:text>.
                    </webwork:if>
                </webwork:if>
                <webwork:else>
                    <webwork:text name="'bulk.move.cannotperform'" />
                </webwork:else>
    </page:param>

    <%@include file="/secure/views/bulkedit/includes/chooseContext.jsp" %>
</page:applyDecorator>

</body>
</html>