<%@ taglib uri="webwork" prefix="webwork" %>
<html>
<head>
	<title><webwork:if test="searchRequest/name">[<webwork:property value="searchRequest/name"/>] </webwork:if><webwork:text name="'navigator.title'"/></title>
    <webwork:if test="/searchResults/total > 0 && 'printable' != $decorator">
        <LINK REL="alternate" TITLE="<webwork:property value="searchRequest/name"/>" HREF="<%= request.getContextPath() %>/secure/IssueNavigator.jspa?view=rss&<webwork:property value="SRQueryStringWithSorts" />&tempMax=100&reset=true&decorator=none" TYPE="application/rss+xml">
    </webwork:if>


</head>
<body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" bgcolor="ffffff">
<%-- remove for printable decorator --%>
<webwork:if test="$decorator != 'printable'">
    <tr class="hidden">
        <!-- This is here to get around a rendering problem on Mozilla which manifests when viewing the page
        over a relatively slow connection. The filterform is rendered to take up more than half the page. By
        givving a 'relative' row to the browser first we ensure that the rest of the rows are rendered similarly and
        hence the width of the filterform column is fixed. Fixes JRA-5116 -->
        <webwork:if test="/mode == 'show'">
            <td class="filterFormCell">&nbsp;</td>
        </webwork:if>
        <webwork:else>
            <td class="filterSummaryCell">&nbsp;</td>
	    </webwork:else>
        <td>&nbsp;</td>
    </tr>
</webwork:if>

<tr>
<webwork:if test="$decorator != 'printable'">
	<webwork:if test="/mode == 'show'">
		<td class="filterFormCell">
            <jsp:include page="/includes/navigator/filter-form.jsp" flush="false" />
		</td>
	</webwork:if>
	<webwork:else>
		<td class="filterSummaryCell">
            <jsp:include page="/includes/navigator/summary-pane.jsp" flush="false" />
        </td>
	</webwork:else>
</webwork:if>
<%-- end remove --%>
<td valign="top">
    <table cellspacing="0" cellpadding="10" border="0" width="100%"><tr><td>
        <webwork:if test="valid == 'true'">
            <jsp:include page="/includes/navigator/table.jsp" flush="false" />
        </webwork:if>
        <webwork:else>
            <jsp:include page="/includes/navigator/cantviewfilter.jsp" flush="false" />
        </webwork:else>
    </td></tr></table>
</td></tr>
</table>
</body>
</html>