<%@ page import="com.atlassian.jira.portal.PortletConfiguration,
                 webwork.action.CoreActionContext,
                 com.atlassian.util.profiling.UtilTimerStack,
                 com.atlassian.jira.ComponentManager,
                 com.atlassian.jira.config.properties.APKeys"%>
<%@ taglib uri="webwork" prefix="webwork" %>

<style type="text/css" media="screen">@import "<%= ComponentManager.getInstance().getApplicationProperties().getString(APKeys.JIRA_BASEURL)%><%= request.getContextPath() %>/styles/combined.css";</style>
<style type="text/css" media="screen">@import "<%= ComponentManager.getInstance().getApplicationProperties().getString(APKeys.JIRA_BASEURL)%><%= request.getContextPath() %>/styles/global.css";</style>

<webwork:property value="portletConfiguration">
<%
final PortletConfiguration portletConfiguration = (PortletConfiguration)CoreActionContext.getValueStack().findValue((String)null);
String template = portletConfiguration.getPortlet().getTemplateLocation();

//currently we cater for both Velocity and JSP portlets
UtilTimerStack.push("Running velocity portlet: " + portletConfiguration.getId());
String viewHtml = portletConfiguration.getPortlet().getViewHtml(portletConfiguration);
UtilTimerStack.pop("Running velocity portlet: " + portletConfiguration.getId());
if (viewHtml != null) //velocity portlet
    out.print(viewHtml);
else // jsp portlet
{
    UtilTimerStack.push("Running portlet: " + template);

    try {
%>
        <jsp:include page="<%=template%>" />
<%
    }
    catch (Throwable t)
    {
    System.err.println("Exception rendering portlet "+template);
    t.printStackTrace();
%>
       <span class="errLabel">Error rendering <%= template %>: <%= t.getMessage() %>. <br>
       Removing and recreating this portlet may solve the problem.<br>
       If not please ask your <a href="Administrators.jspa">JIRA adminstrator</a> to send a <a href="admin/jira/JiraSupportRequest!default.jspa">support request</a></span>
<%
    }
    finally
    {
        UtilTimerStack.pop("Running portlet: " + template);
    }
}
%>
</webwork:property>